Bug 1277969 - /etc/os-release is not updated
/etc/os-release is not updated
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 07:48 EST by Leslie Satenstein
Modified: 2015-12-14 08:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 17:37:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2015-11-04 07:48:03 EST
Description of problem:

os-release is not updated 

Is it supposed to be 

I also have a /etc/fedora-release, not updated.     
Is it to disappear?

Version-Release number of selected component (if applicable):


How reproducible:

Perform a dnf system upgrade.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2015-11-12 15:52:41 EST
When we do a dnf system-upgrade from F22 to F23, the /etc/os-release is supposed to be updated to reflect the new release number.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-12 18:48:24 EST
ls -l /etc/fedora-release /etc/os-release ?
Comment 3 Peter Robinson 2015-11-13 05:16:30 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> ls -l /etc/fedora-release /etc/os-release ?

Not the same, just look at the differences. I seem to remember sgallagh played with the way this was generated for Server/Workstation/Cloud and probably missed upgrade paths, sgallagh do you remember details?
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-13 07:39:12 EST
Of course not the same. I'm asking if they are symlinks and where do they point.
Comment 5 Stephen Gallagher 2015-11-13 08:58:29 EST
(In reply to Peter Robinson from comment #3)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> > ls -l /etc/fedora-release /etc/os-release ?
> 
> Not the same, just look at the differences. I seem to remember sgallagh
> played with the way this was generated for Server/Workstation/Cloud and
> probably missed upgrade paths, sgallagh do you remember details?

I need more information about what went wrong. First and foremost, I'd like to see the output of:
* rpm -q fedora-release
* ls -l /etc/os-release /etc/fedora-release /usr/lib/os-release /usr/lib/os.release.d

I did test upgrades, but there's always a possibility that I missed something and one of the symlinks is now wrong.
Comment 6 Leslie Satenstein 2015-12-11 17:37:10 EST
Hi Stephen,

The Fedora-release that was there was from a Remix. Sorry.


sudo rpm -q fedora-release
package fedora-release is not installed

sudo dnf install fedora-release --allow --best
Last metadata expiration check performed 0:00:57 ago on Fri Dec 11 17:29:03 2015.
Dependencies resolved.
=====================================================================================================================================
 Package                               Arch                         Version                     Repository                      Size
=====================================================================================================================================
Installing:
 fedora-release                        noarch                       23-1                        fedora                          16 k
Removing:
 chapeau-release                       noarch                       23-1                        @chapeau                       4.1 k

Transaction Summary
=====================================================================================================================================
Install  1 Package
Remove   1 Package

Subsequently
rpm -qa fedora-release
fedora-release-23-1.noarch

The Chapeau Remix provided the fedora-release file. 
I see that they have also provided os-release. 

I will contact them to provide a workaround.

I will be performing a clean installation next week. If you require additional info, post here.

Note You need to log in before you can comment on or make changes to this bug.